dask client not working


#1

Hello
I am trying to use dask

from dask.distributed import Client
client = Client()

But I am getting an error (see below).

Thank you for the help
Stephan

tornado.application - ERROR - Multiple exceptions in yield list
Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 1069, in run
yielded = self.gen.send(value)
File “/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py”, line 229, in _start_worker
raise gen.TimeoutError(“Worker failed to start”)
tornado.gen.TimeoutError: Worker failed to start

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 828, in callback
result_list.append(f.result())
File “/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py”, line 238, in result
raise_exc_info(self._exc_info)
File “<string>”, line 4, in raise_exc_info
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 1069, in run
yielded = self.gen.send(value)
File “/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py”, line 229, in _start_worker
raise gen.TimeoutError(“Worker failed to start”)
tornado.gen.TimeoutError: Worker failed to start
tornado.application - ERROR - Multiple exceptions in yield list
Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 1069, in run
yielded = self.gen.send(value)
File “/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py”, line 229, in _start_worker
raise gen.TimeoutError(“Worker failed to start”)
tornado.gen.TimeoutError: Worker failed to start

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 828, in callback
result_list.append(f.result())
File “/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py”, line 238, in result
raise_exc_info(self._exc_info)
File “<string>”, line 4, in raise_exc_info
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 1069, in run
yielded = self.gen.send(value)
File “/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py”, line 229, in _start_worker
raise gen.TimeoutError(“Worker failed to start”)
tornado.gen.TimeoutError: Worker failed to start
tornado.application - ERROR - Multiple exceptions in yield list
Traceback (most recent call last):
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 828, in callback
result_list.append(f.result())
File “/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py”, line 238, in result
raise_exc_info(self._exc_info)
File “<string>”, line 4, in raise_exc_info
File “/usr/local/lib/python3.5/dist-packages/tornado/gen.py”, line 1069, in run
yielded = self.gen.send(value)
File “/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py”, line 229, in _start_worker
raise gen.TimeoutError(“Worker failed to start”)
tornado.gen.TimeoutError: Worker failed to start

TimeoutError Traceback (most recent call last)
/usr/local/lib/python3.5/dist-packages/tornado/gen.py in callback(f)
827 try:
–> 828 result_list.append(f.result())
829 except Exception as e:

/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py in result(self, timeout)
237 try:
–> 238 raise_exc_info(self._exc_info)
239 finally:

/usr/local/lib/python3.5/dist-packages/tornado/util.py in raise_exc_info(exc_info)

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1068 else:
-> 1069 yielded = self.gen.send(value)
1070

/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py in _start_worker(self, death_timeout, **kwargs)
228 self.workers.remove(w)
–> 229 raise gen.TimeoutError(“Worker failed to start”)
230

TimeoutError: Worker failed to start

During handling of the above exception, another exception occurred:

TimeoutError Traceback (most recent call last)
<ipython-input-6-072e16c29578> in <module>()
3
4 from dask.distributed import Client
----> 5 client = Client()
6 # client

/usr/local/lib/python3.5/dist-packages/distributed/client.py in init(self, address, loop, timeout, set_as_default, scheduler_file, security, asynchronous, name, heartbeat_interval, serializers, deserializers, extensions, direct_to_workers, **kwargs)
636 ext(self)
637
–> 638 self.start(timeout=timeout)
639
640 from distributed.recreate_exceptions import ReplayExceptionClient

/usr/local/lib/python3.5/dist-packages/distributed/client.py in start(self, **kwargs)
759 self._started = self._start(**kwargs)
760 else:
–> 761 sync(self.loop, self._start, **kwargs)
762
763 def await(self):

/usr/local/lib/python3.5/dist-packages/distributed/utils.py in sync(loop, func, *args, **kwargs)
275 e.wait(10)
276 if error[0]:
–> 277 six.reraise(*error[0])
278 else:
279 return result[0]

/usr/local/lib/python3.5/dist-packages/six.py in reraise(tp, value, tb)
691 if value.traceback is not tb:
692 raise value.with_traceback(tb)
–> 693 raise value
694 finally:
695 value = None

/usr/local/lib/python3.5/dist-packages/distributed/utils.py in f()
260 if timeout is not None:
261 future = gen.with_timeout(timedelta(seconds=timeout), future)
–> 262 result[0] = yield future
263 except Exception as exc:
264 error[0] = sys.exc_info()

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1053
1054 try:
-> 1055 value = future.result()
1056 except Exception:
1057 self.had_exception = True

/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py in result(self, timeout)
236 if self._exc_info is not None:
237 try:
–> 238 raise_exc_info(self._exc_info)
239 finally:
240 self = None

/usr/local/lib/python3.5/dist-packages/tornado/util.py in raise_exc_info(exc_info)

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1061 if exc_info is not None:
1062 try:
-> 1063 yielded = self.gen.throw(*exc_info)
1064 finally:
1065 # Break up a reference to itself

/usr/local/lib/python3.5/dist-packages/distributed/client.py in _start(self, timeout, **kwargs)
822 self.cluster = LocalCluster(loop=self.loop, asynchronous=True,
823 **self._startup_kwargs)
–> 824 yield self.cluster
825 except (OSError, socket.error) as e:
826 if e.errno != errno.EADDRINUSE:

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1053
1054 try:
-> 1055 value = future.result()
1056 except Exception:
1057 self.had_exception = True

/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py in result(self, timeout)
236 if self._exc_info is not None:
237 try:
–> 238 raise_exc_info(self._exc_info)
239 finally:
240 self = None

/usr/local/lib/python3.5/dist-packages/tornado/util.py in raise_exc_info(exc_info)

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1061 if exc_info is not None:
1062 try:
-> 1063 yielded = self.gen.throw(*exc_info)
1064 finally:
1065 # Break up a reference to itself

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in _wrap_awaitable(x)

/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py in await(self)

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1053
1054 try:
-> 1055 value = future.result()
1056 except Exception:
1057 self.had_exception = True

/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py in result(self, timeout)
236 if self._exc_info is not None:
237 try:
–> 238 raise_exc_info(self._exc_info)
239 finally:
240 self = None

/usr/local/lib/python3.5/dist-packages/tornado/util.py in raise_exc_info(exc_info)

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1061 if exc_info is not None:
1062 try:
-> 1063 yielded = self.gen.throw(*exc_info)
1064 finally:
1065 # Break up a reference to itself

/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py in _start(self, ip, n_workers)
197 self.scheduler.start(scheduler_address)
198
–> 199 yield [self._start_worker(**self.worker_kwargs) for i in range(n_workers)]
200
201 self.status = ‘running’

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1053
1054 try:
-> 1055 value = future.result()
1056 except Exception:
1057 self.had_exception = True

/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py in result(self, timeout)
236 if self._exc_info is not None:
237 try:
–> 238 raise_exc_info(self._exc_info)
239 finally:
240 self = None

/usr/local/lib/python3.5/dist-packages/tornado/util.py in raise_exc_info(exc_info)

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in callback(f)
826 for f in children:
827 try:
–> 828 result_list.append(f.result())
829 except Exception as e:
830 if future.done():

/usr/local/lib/python3.5/dist-packages/tornado/concurrent.py in result(self, timeout)
236 if self._exc_info is not None:
237 try:
–> 238 raise_exc_info(self._exc_info)
239 finally:
240 self = None

/usr/local/lib/python3.5/dist-packages/tornado/util.py in raise_exc_info(exc_info)

/usr/local/lib/python3.5/dist-packages/tornado/gen.py in run(self)
1067 exc_info = None
1068 else:
-> 1069 yielded = self.gen.send(value)
1070
1071 if stack_context._state.contexts is not orig_stack_contexts:

/usr/local/lib/python3.5/dist-packages/distributed/deploy/local.py in _start_worker(self, death_timeout, **kwargs)
227 if w.status == ‘closed’ and self.scheduler.status == ‘running’:
228 self.workers.remove(w)
–> 229 raise gen.TimeoutError(“Worker failed to start”)
230
231 raise gen.Return(w)

TimeoutError: Worker failed to start